import 'package:equatable/equatable.dart';

abstract class SettingEvent extends Equatable {
  const SettingEvent();

  @override
  List<Object> get props => [];
}

class InitialEvent extends SettingEvent {
  final String selectedIcon;
  const InitialEvent({required this.selectedIcon});

  @override
  List<Object> get props => [selectedIcon];
}

class FetchIcons extends SettingEvent {
  final bool expanded;
  const FetchIcons({required this.expanded});

  @override
  List<Object> get props => [expanded];
}

class SelectIcon extends SettingEvent {
  final String iconId;
  const SelectIcon({required this.iconId});

  @override
  List<Object> get props => [iconId];
}
